serveur.Log.Log(3)

NAME
serveur.Log.Log - Log Manager.

SYNOPSIS

Inherits object.

  Public Member Functions
def __init__ (self, directory)
Define 3 differents utils : activity.log -> all activity warning.log -> only warning error.log -> error Write all message on terminal too.
def printL (self, pMsg, pLvl)
Add color and write in log with an define level.

  Data Fields
logger

Detailed Description

Log Manager.

Constructor & Destructor Documentation

  def serveur.Log.Log.__init__ ( self, directory)

Define 3 differents utils : activity.log -> all activity warning.log -> only warning error.log -> error Write all message on terminal too.

Member Function Documentation

  def serveur.Log.Log.printL ( self, pMsg, pLvl)

Add color and write in log with an define level.

Parameters:
    pMsg message to write in log
    pLvl level of log message

Field Documentation

  serveur.Log.Log.logger

Author

Generated automatically by Doxygen for Server DNC from the source code.